# 1990s

It is now confirmed that 1990s (or just 90s) were almost definitely the best decade in recent written [history](history.md), at least in [Europe](europe.md) (the main continent of [Earth](earth.md)) but to a degree probably also in other, less significant parts of the world ([USA](usa.md) etc.). They were the peak of civilization before the [collapse](collapse.md) quickly brought by the [21st century](21st_century.md). 90s still left behind some echoes during the years 2000-2010 -- according to some still a bearable decade -- however it was already going downhill at the time. 90s followed the [80](80s)s (quite logically, at least to those of above Trump intellect), a decade that was itself also pretty good, and so in a similar fashion some good old 80s vibes carried on to the 90s.

So, from the European point of view, here is a short summary of why 90s were so good:

- Cold war just ended, [Soviet Union](ussr.md) dissolved and so came a relief from the nuclear war threat, people got relaxed and, importantly, many countries previously under pseudocommunist totalitarian regimes gained freedom from it and opened to the world. This created a very rare and brief moment in time when people were freed from an oppressive regime but [capitalism](capitalism.md) didn't have yet enough time to enslave them again -- people still kept the good things from (at least what was called) socialism such as 100% free education, 100% free healthcare, old age pensions, free public toilets and so on. They also kept the socialist mindset of caring about others, people didn't see others as their enemies, they were kind of caring and had some empathy, they knew [money](money.md) was evil etc. The newly gained freedom gave people a lot of joy and hope. 21st century would of course changed this very soon, capitalism would go on to destroy absolutely everything in under about 20 years, Europe would be joined to the USA and by now everything is lost.
- A lot of amazing [art](art.md) came to existence -- although [proprietary](proprietary.md), it could at least be said that it was well done, had [soul](soul.md) and people took some time to make it. For example movies, games and music were made by people who knew how to make movies, games and music, so we saw things such as Pulp Fiction, Jurassic Park, Forrest Gump, Linkin Park, [Pokemon](pokemon.md) (the original non-gay ones), [Harry Potter](harry_potter.md), Simpsons (the peak seasons), South Park, [Tamagotchis](tamagotchi.md), Jim Carrey comedies and much more. Computer games at this time had absolutely peak aesthetics in the whole history of Universe (and they were also released as a completely [finished](finished.md) product, as a physical thing you would buy and literally OWN forever from then on). Even things back then considered trash, such as Britney Spears, don't literally make you bleed from your ears and in comparison with today's "best music" sound like angel choirs.
- In [computer](computer.md) [technology](tech.md) world some very important things were made, besides others [Linux](linux.md) (1991), [World Wide Web](www.md) (well almost -- 1989), [gopher](gopher.md) (1993), all the legendary Boomer Shooters -- [Wolf3D](wolf3d.md) (1992), [Doom](doom.md) (1993), [Duke Nukem 3D](duke3d.md) (1996), [Quake](quake.md) (1996), Quake II and III, Half Life (1998) etcetc., [GameBoy Color](gbc.md) (1998), [PS1](ps1.md) (1995), [N64](n64.md) (1994) etcetc. In 1997 a computer named [Deep Blue](deep_blue.md) first beat the world [chess](chess.md) champion. Even the versions of [Windows](windows.md) from this time are considered the most bearable ones.
- [Feminism](feminism.md) and [LGBT](lgbt.md) were still seen as a [joke](joke.md).
- No hordes of [gays](gay.md), [transsexuals](tranny.md), [furries](furry.md), [bronies](brony.md), [zoomers](zoomer.md), [autists](autism.md), influencers, nu-males, nothings of that sort! There were only normal people around. It wasn't even normal to be fat or have 20 mental diseases, people were just normal. Just image it, you walk the street and there are no monsters, not on TV, not on the Internet, not anywhere! { NOTE: Let us be reminded that [we](lrs.md) love everyone, including gays, transsexuals, furries, autists, Nazis, simply all living beings. This is a criticism of trends in society, not "hate speech" against any individual -- please see the difference between saying that one dislikes hordes of freaks all around and for example promoting genocide or bullying those people. You may dislike salty food but still be OK with it existing and you may even like salty food but dislike food that has 10 kg of salt in it or promoting putting salt in chocolate. ~drummyfish }
- No [Facebook](facebook.md), [Twitter](twitter.md), [TikTok](tiktok.md), [Discord](discord.md), [Steam](steam.md), [Reddit](reddit.md), [YouTube](youtube.md), Twitch, no [smartphones](smartphone.md), actually no "[smart](smart.md)" devices AT ALL, no "[apps](app.md)", [Elon Musk](elon_musk.md), no [Google](google.md), no [Android](android.md), no [JavaScript](javascript.md), no [HTTPS](https.md), no [Flash](flash.md), no [docker](docker.md), no [cmake](cmake.md), no [Rust](rust.md), no [Apple](apple.md) (in Europe), no "spy assistants", no [Minecraft](minecraft.md), no Roblox, no [Wikipedia](wikipedia.md), no [crypto](crypto.md), no [NFT](nft.md)s, no [AI](ai.md) shit and much more. Imagine the paradise.
- No one cared about [privacy](privacy.md) at all! Literally there was ZERO concern about it, you could share all your private data publicly, passwords were sent in plain text, no one would even think of abusing it, there was even no way of doing it basically.
- Computers were 32 bit, no 64 bit [bullshit](bullshit.md).
- Computer technology wasn't such a big milking cow yet, mainstream Internet was just starting, many didn't care about it, so it was very relaxed, [corporations](corporation.md) weren't yet raping everyone. For example [copy protection](drm.md) was usually laughably easy to break, pirating was easy and everyone did it -- it was correctly considered extremely stupid to buy something (nowadays brainwashing has already done its thing). Also games had practically no anti[cheating](cheating.md), chat censorship and similar BS, [trolling](trolling.md) was allowed and cool.
- People in the streets weren't zombies staring into spyphones -- literally imagine you walk outside and people observe what's happening around them.
- There was a relatively high [freedom of speech](free_speech.md), no one gave a single shit about [political correctness](political_correctness.md) (no one even knew that term) and people in post-soviet countries actually saw freedom of speech as an achievement that many died for and which they previously only dreamed of, they valued it greatly -- [censorship](censorship.md) was still considered highly undesirable by majority of people.
- [Toxic](toxic.md) [US](us.md) culture still hadn't made it to Europe so people weren't obsessed with [productivity](productivity_cult.md), shooting up schools, [tattoos](tattoo.md), self interest and other shit.
- Zero crime, no [fear culture](fear_culture.md).
- If you bought something it would definitely last more than a week -- actually much longer, even 10, 20 or 30 years.
- Furthermore if something broke, it could easily be repaired, sometimes even by yourself. There were even people who specialized in repairing TVs and radios for example.
- Professionals actually knew something about their profession, you could trust that if someone did something for living, he'd be kind of good at it. As a result things were generally of good quality, including for example movie dubbings and subtitles (nowadays it's standard that subtitles are made by people who cannot read or write or even talk at all), news, books, electronics, tools etc.
- ALL computers had [CRT](crt.md)s!
- There was absolute minimum of [ads](marketing.md) and they were somewhat bearable, not 100% aggressive brainwashing -- some even naively tried to pleasant and brings some actual art in. You could see a movie, then there would be two or three ads and another movie would follow, and that was on a commercial station, state TV had basically zero ads.
- [Internet](internet.md) was actually good and free of idiots, it was elitist and only for nerds with no life. [Web](www.md) was young, only 1.0, all sites were nice, lightweight, non-commercial. [Gopher](gopher.md) was just as popular.
- [Programming](programming.md) and IT was still cool and didn't make you wanna kill yourself -- [C](c.md) was used a lot, game developers wrote their own [engines](game_engine.md), webmasters actually wrote [HTML](html.md) and so on.
- No [women](woman.md) in tech or on the Internet, or at least a minimum of them -- no one cared about gender or shit like that back then. Thanks to this you could actually appreciate women in those fields, you knew a woman had to be real special to have made it.
- Of course all [software](software.md) was better, much more efficient, stable, didn't require internet connection, didn't [update](update_culture.md) 1000 times a day etc.
- Cell phones, although proprietary, were quite awesome, especially those by [Nokia](nokia.md) and [Siemens](siemens.md). They were all button dumbphones, each with very unique design, the phones were very durable, fast, reliable and lasted even weeks on single charge.
- [Women](woman.md) were still women and men were men back then.
- Many fewer cars, you could cross the road without waiting 15 to 30 minutes. Usually a family had only one car and some even lived happily without a car.
- Everything was much more normal, people didn't self harm, only criminals had [tattoos](tattoo.md), depression was rare, kids played outside, climbed trees, even reading books, people got married, divorce still wasn't normal, plastic surgery was performed only in extreme cases on burn victims, people didn't desire working themselves to death, there were no witchhunts on [pedophiles](pedophilia.md), people were nice to the elderly and valued their wisdom, the elderly weren't absolute assholes, shop assistants weren't 100% scary robotic entities, even people in businesses would sometimes -- even if naively -- have other goals that pure profit.
- Movies were shot on film instead of shitty digital.
- Grass was much greener and sky more blue.
- When you went abroad for that rare vacation sometimes there would be maybe 5 other tourists but not 20 billion of them, you would also see no Starbucks or similar Yankee shit, you genuinely just went to a foreign country, not to Disneyland, you really saw a foreign culture.
- Also the world wasn't yet so globalized, people knew their neighbors, countries and individual village still had their own culture, everything was diverse because Internet still wasn't mainstream and the Earth wasn't collectively owned by 3 gigacorporations.
- You weren't overfed of everything -- there was less and in effect you enjoyed it much more. For example Internet connection wasn't common, it was always exciting to get on the net for a while! You had to wait a week for the new episode of your favorite series. You have to wait a whole year to save up for that shiny Pokemon Gameboy game, it was genuine joy to get it. You had to consider what to put on that floppy drive, you only had 2.4 MB. Cell phones were luxury and if you got one, even a complete shit, it meant something, you would be enjoying it every day.
- Yes, capitalism was around but it wasn't YET as extremely degenerated as today and where it was, it was still staying in the USA. Not for long though.
- The good things of the early 2000s were yet to come at this point :)
- Actors and singers, even if stupid, were at least somewhat good looking people and not vomit inducing monsters.
- Needless to say nature and weather were much nicer also -- where today there are McDonald's parking lots back then were forests, air was cleaner, more animals were around, winters had actual snow, you could still find places without plastic garbage lying all around.
- Politics was shit, as it always is, but it wasn't an absolute unimaginable [joke](jokes.md) like it is nowadays, there were still socialist parties who kind of cared for the common people and sometimes there were even people in politics who had some sense of morality and whom you could at least partially respect, like Vaclav Havel.
- Fun wasn't illegal and you didn't have to put 1000 pages of disclaimer on a joke.
- People weren't completely enslaved and crippled by juggling thousands of bullshit activities all the time like posting photos of food while checking emails, investment portfolio, crypto wallet and bank account at the same time while using the other hand to update a banking app to be able to pay stream subscriptions, monthly internet bills while also keeping up with paying insurance for health, house, car, dogs and making sure that with current inflation rate there will be something left to buy food and, trusting current weather forecasts, enough heating to not freeze in the winter and maybe even buy your grandma another gender switch surgery for Christmas.
- ([Drummyfish](drummyfish.md) was born.)
- Probably more cool stuff, not all can be listed here.
- ...

## See Also

- [1980s](80s.md)
- [1960s](60s.md)
- [old](old.md)
- [history](history.md)